Package org.eclipse.lemminx.services

## Interface IXMLFullFormatter

All Known Implementing Classes:
  `XMLLanguageService`

    public interface IXMLFullFormatter

XML formatter API.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `formatFull​(String text, String uri, SharedSettings sharedSettings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Format the given text document by the shared settings.

### Method Detail

#### formatFull

    String formatFull​(String text,
                      String uri,
                      SharedSettings sharedSettings,
                      org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Format the given text document by the shared settings.

Parameters:
  `text` - the text.
  `uri` - the uri.
  `sharedSettings` - the shared settings.
  `cancelChecker` -
Returns:
  the formatted text document by using the shared settings.